Index: trunk/src/SmearUtil.cc
===================================================================
--- trunk/src/SmearUtil.cc	(revision 350)
+++ trunk/src/SmearUtil.cc	(revision 374)
@@ -62,4 +62,7 @@
   ELG_Nfwd          = 0.0;               // N term for FCAL
   ELG_Cfwd          = 0.107;             // C term for FCAL
+  ELG_Szdc          = 0.70;              // S term for ZDC
+  ELG_Nzdc          = 0.0;               // N term for ZDC
+  ELG_Czdc          = 0.08;              // C term for ZDC 
 
   // Energy resolution for hadrons in ecal/hcal/hf
@@ -71,7 +74,15 @@
   HAD_Nhf           = 0.;                // N term for FCAL
   HAD_Chf           = 0.13;              // C term for FCAL
+  HAD_Szdc          = 1.38;              // S term for ZDC
+  HAD_Nzdc          = 0.;                // N term for ZDC 
+  HAD_Czdc          = 0.13;              // C term for ZDC 
 
   // Muon smearing
   MU_SmearPt        = 0.01;
+
+  // time resolution
+  ZDC_T_resolution   = 0;	// resolution for time measurement [s]
+  RP220_T_resolution = 0;
+  RP420_T_resolution = 0;
 
   // Tracking efficiencies
@@ -95,5 +106,5 @@
 
 
-  // Thresholds for reconstructed objetcs
+  // Thresholds for reconstructed objetcs (GeV)
   PTCUT_elec      = 10.0;
   PTCUT_muon      = 10.0;
@@ -101,4 +112,7 @@
   PTCUT_gamma     = 10.0;
   PTCUT_taujet    = 10.0;
+
+  ZDC_gamma_E     = 20; // GeV
+  ZDC_n_E	  = 50; // GeV
 
   // Isolation
@@ -199,6 +213,9 @@
   ELG_Sfwd          = DET.ELG_Sfwd;
   ELG_Nfwd          = DET.ELG_Nfwd;
-
-  // Energy resolution for hadrons in ecal/hcal/hf
+  ELG_Czdc          = DET.ELG_Czdc;
+  ELG_Szdc          = DET.ELG_Szdc;
+  ELG_Nzdc          = DET.ELG_Nzdc;
+
+  // Energy resolution for hadrons in ecal/hcal/hf/zdc
   HAD_Shcal         = DET.HAD_Shcal;
   HAD_Nhcal         = DET.HAD_Nhcal;
@@ -207,4 +224,12 @@
   HAD_Nhf           = DET.HAD_Nhf;
   HAD_Chf           = DET.HAD_Chf;
+  HAD_Szdc          = DET.HAD_Szdc;
+  HAD_Nzdc          = DET.HAD_Nzdc;
+  HAD_Czdc          = DET.HAD_Czdc;
+
+  // time resolution
+  ZDC_T_resolution   = DET.ZDC_T_resolution;       // resolution for time measurement [s]
+  RP220_T_resolution = DET.RP220_T_resolution;
+  RP420_T_resolution = DET.RP420_T_resolution;
 
   // Muon smearing
@@ -229,4 +254,7 @@
   PTCUT_gamma     = DET.PTCUT_gamma;
   PTCUT_taujet    = DET.PTCUT_taujet;
+
+  ZDC_gamma_E     = DET.ZDC_gamma_E;
+  ZDC_n_E         = DET.ZDC_n_E;
 
   // Isolation
@@ -321,4 +349,7 @@
   ELG_Sfwd          = DET.ELG_Sfwd;
   ELG_Nfwd          = DET.ELG_Nfwd;
+  ELG_Czdc          = DET.ELG_Czdc;
+  ELG_Szdc          = DET.ELG_Szdc;
+  ELG_Nzdc          = DET.ELG_Nzdc;
 
   // Energy resolution for hadrons in ecal/hcal/hf
@@ -329,4 +360,12 @@
   HAD_Nhf           = DET.HAD_Nhf;
   HAD_Chf           = DET.HAD_Chf;
+  HAD_Szdc          = DET.HAD_Szdc;
+  HAD_Nzdc          = DET.HAD_Nzdc;
+  HAD_Czdc          = DET.HAD_Czdc;
+
+  // time resolution
+  ZDC_T_resolution   = DET.ZDC_T_resolution;       // resolution for time measurement [s]
+  RP220_T_resolution = DET.RP220_T_resolution;
+  RP420_T_resolution = DET.RP420_T_resolution;
 
   // Muon smearing
@@ -351,4 +390,7 @@
   PTCUT_gamma     = DET.PTCUT_gamma;
   PTCUT_taujet    = DET.PTCUT_taujet;
+
+  ZDC_gamma_E     = DET.ZDC_gamma_E;
+  ZDC_n_E         = DET.ZDC_n_E;
 
   // Isolation
@@ -475,4 +517,8 @@
     else if(strstr(temp_string.c_str(),"ELG_Cfwd"))         {curstring >> varname >> value; ELG_Cfwd          = value;}
     else if(strstr(temp_string.c_str(),"ELG_Nfwd"))         {curstring >> varname >> value; ELG_Nfwd          = value;}
+    else if(strstr(temp_string.c_str(),"ELG_Szdc"))         {curstring >> varname >> value; ELG_Szdc          = value;}
+    else if(strstr(temp_string.c_str(),"ELG_Czdc"))         {curstring >> varname >> value; ELG_Czdc          = value;}
+    else if(strstr(temp_string.c_str(),"ELG_Nzdc"))         {curstring >> varname >> value; ELG_Nzdc          = value;}
+
     else if(strstr(temp_string.c_str(),"HAD_Shcal"))        {curstring >> varname >> value; HAD_Shcal         = value;}
     else if(strstr(temp_string.c_str(),"HAD_Nhcal"))        {curstring >> varname >> value; HAD_Nhcal         = value;}
@@ -481,4 +527,10 @@
     else if(strstr(temp_string.c_str(),"HAD_Nhf"))          {curstring >> varname >> value; HAD_Nhf           = value;}
     else if(strstr(temp_string.c_str(),"HAD_Chf"))          {curstring >> varname >> value; HAD_Chf           = value;}
+    else if(strstr(temp_string.c_str(),"HAD_Szdc"))         {curstring >> varname >> value; HAD_Szdc          = value;}
+    else if(strstr(temp_string.c_str(),"HAD_Nzdc"))         {curstring >> varname >> value; HAD_Nzdc          = value;}
+    else if(strstr(temp_string.c_str(),"HAD_Czdc"))         {curstring >> varname >> value; HAD_Czdc          = value;}
+    else if(strstr(temp_string.c_str(),"ZDC_T_resolution")) {curstring >> varname >> value; ZDC_T_resolution  = value;}
+    else if(strstr(temp_string.c_str(),"RP220_T_resolution")) {curstring >> varname >> value; RP220_T_resolution  = value;}
+    else if(strstr(temp_string.c_str(),"RP420_T_resolution")) {curstring >> varname >> value; RP420_T_resolution  = value;}
     else if(strstr(temp_string.c_str(),"MU_SmearPt"))       {curstring >> varname >> value; MU_SmearPt        = value;}
     
@@ -503,4 +555,6 @@
     else if(strstr(temp_string.c_str(),"PTCUT_gamma"))      {curstring >> varname >> value; PTCUT_gamma       = value;}
     else if(strstr(temp_string.c_str(),"PTCUT_taujet"))     {curstring >> varname >> value; PTCUT_taujet      = value;}
+    else if(strstr(temp_string.c_str(),"ZDC_gamma_E"))      {curstring >> varname >> value; ZDC_gamma_E      = value;}
+    else if(strstr(temp_string.c_str(),"ZDC_n_E"))          {curstring >> varname >> value; ZDC_n_E      = value;}
 
     else if(strstr(temp_string.c_str(),"ISOL_PT"))          {curstring >> varname >> value; ISOL_PT           = value;}
@@ -694,4 +748,11 @@
   f_out << left << setw(30) <<"* C term for FCAL: "<<""
 	<< left << setw(30) <<ELG_Cfwd       <<""<< right << setw(10)<<"*"<<"\n";
+  f_out << left << setw(30) <<"* S term for ZDC: "<<""
+        << left << setw(30) <<ELG_Szdc       <<""<< right << setw(10)<<"*"<<"\n";
+  f_out << left << setw(30) <<"* N term for ZDC: "<<""
+        << left << setw(30) <<ELG_Nzdc       <<""<< right << setw(10)<<"*"<<"\n";
+  f_out << left << setw(30) <<"* C term for ZDC: "<<""
+        << left << setw(30) <<ELG_Czdc       <<""<< right << setw(10)<<"*"<<"\n";
+
   f_out<<"*                                                                    *"<<"\n";
   f_out<<"#*****************************                                       *"<<"\n";
@@ -711,4 +772,24 @@
   f_out << left << setw(30) <<"* C term for FCAL: "<<""
 	<< left << setw(30) <<HAD_Chf         <<""<< right << setw(10)<<"*"<<"\n";
+  f_out << left << setw(30) <<"* S term for ZDC: "<<""
+        << left << setw(30) <<HAD_Szdc        <<""<< right << setw(10)<<"*"<<"\n";
+  f_out << left << setw(30) <<"* N term for ZDC: "<<""
+        << left << setw(30) <<HAD_Nzdc        <<""<< right << setw(10)<<"*"<<"\n";
+  f_out << left << setw(30) <<"* C term for ZDC: "<<""
+        << left << setw(30) <<HAD_Czdc        <<""<< right << setw(10)<<"*"<<"\n";
+
+  f_out<<"*                                                                    *"<<"\n";
+  f_out<<"#*************************                                           *"<<"\n";
+  f_out<<"# Time smearing parameters                                           *"<<"\n";
+  f_out<<"#*************************                                           *"<<"\n";
+  f_out<<"*                                                                    *"<<"\n";
+  f_out << left << setw(55) <<"* Time resolution for ZDC        :              "<<""
+        << left << setw(5) <<ZDC_T_resolution       <<""<< right << setw(10)<<"*"<<"\n";
+  f_out << left << setw(55) <<"* Time resolution for RP220      :              "<<""
+        << left << setw(5) <<RP220_T_resolution     <<""<< right << setw(10)<<"*"<<"\n";
+  f_out << left << setw(55) <<"* Time resolution for RP420      :              "<<""
+        << left << setw(5) <<RP420_T_resolution     <<""<< right << setw(10)<<"*"<<"\n";
+  f_out<<"*                                                                    *"<<"\n";
+
   f_out<<"*                                                                    *"<<"\n";
   f_out<<"#*************************                                           *"<<"\n";
@@ -786,4 +867,9 @@
   f_out << left << setw(40) <<"* Minimum pT for photons: "<<""
         << left << setw(20) <<PTCUT_gamma        <<""<< right << setw(10)<<"*"<<"\n";
+  f_out << left << setw(40) <<"* Minimum E for photons in ZDC: "<<""
+        << left << setw(20) <<ZDC_gamma_E        <<""<< right << setw(10)<<"*"<<"\n";
+  f_out << left << setw(40) <<"* Minimum E for neutrons in ZDC: "<<""
+        << left << setw(20) <<ZDC_n_E        <<""<< right << setw(10)<<"*"<<"\n";
+
   f_out<<"*                                                                    *"<<"\n";
   f_out<<"#*******************                                                 *"<<"\n";
